<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for MeetingPointList StructType
 * @subpackage Structs
 */
class MeetingPointList extends AbstractStructBase
{
    /**
     * The MeetingPointListRQ
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_MeetingPointListRQ
     */
    public $MeetingPointListRQ;
    /**
     * Constructor method for MeetingPointList
     * @uses MeetingPointList::setMeetingPointListRQ()
     * @param \StructType\JP_MeetingPointListRQ $meetingPointListRQ
     */
    public function __construct(\StructType\JP_MeetingPointListRQ $meetingPointListRQ = null)
    {
        $this
            ->setMeetingPointListRQ($meetingPointListRQ);
    }
    /**
     * Get MeetingPointListRQ value
     * @return \StructType\JP_MeetingPointListRQ|null
     */
    public function getMeetingPointListRQ()
    {
        return $this->MeetingPointListRQ;
    }
    /**
     * Set MeetingPointListRQ value
     * @param \StructType\JP_MeetingPointListRQ $meetingPointListRQ
     * @return \StructType\MeetingPointList
     */
    public function setMeetingPointListRQ(\StructType\JP_MeetingPointListRQ $meetingPointListRQ = null)
    {
        $this->MeetingPointListRQ = $meetingPointListRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\MeetingPointList
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
